Bug 272077

Summary: Crash when entering a in the calendar widget and pressing Enter [null QGraphicsLinearLayout::removeItem, Plasma::Calendar::hideYearSpinBox]
Product: plasma4 Reporter: Stefan Borggraefe <Stefan.Borggraefe>
Component: generalAssignee: Plasma Bugs List <plasma-bugs>
Status: RESOLVED FIXED    
Severity: crash CC: andresbajotierra, awarsaw, finex, info.kalsan, jonagonzalezsan, kde-bugs, marcus, network723, nicole.hornek, roman2k9, sam, vit.tucek
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Ubuntu Packages   
OS: Linux   
Latest Commit: Version Fixed In: 4.6.4
Attachments: New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi
New crash information added by DrKonqi

Description Stefan Borggraefe 2011-04-30 18:51:56 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.6.2 (4.6.2)
Qt Version: 4.7.2
Operating System: Linux 2.6.38-8-generic x86_64
Distribution: Ubuntu 11.04

-- Information about the crash:
I wanted to know which day of week the 30th April of 1945 was. Today is the 30th April of 2011, so I

- clicked on the digital clock plasmoid and to see the calendar,
- clicked an the year button which reads 2011,
- entered 1945,
- pressed enter.

Result:
Plasma crashed.

The crash can be reproduced every time.

-- Backtrace:
Application: Plasma-Desktop-Umgebung (plasma-desktop), signal: Segmentation fault
[Current thread is 1 (Thread 0x7ff5ff5177a0 (LWP 1632))]

Thread 7 (Thread 0x7ff5dd236700 (LWP 1635)):
#0  0x00007ff5f40f7d9d in __pthread_mutex_unlock_usercnt (mutex=0x246bf08) at pthread_mutex_unlock.c:52
#1  __pthread_mutex_unlock (mutex=0x246bf08) at pthread_mutex_unlock.c:290
#2  0x00007ff5f37ef84e in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff5f37f0122 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007ff5f37f0639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007ff5fc01c446 in QEventDispatcherGlib::processEvents (this=0x246b9a0, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#6  0x00007ff5fbff0882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#7  0x00007ff5fbff0abc in QEventLoop::exec (this=0x7ff5dd235db0, flags=...) at kernel/qeventloop.cpp:201
#8  0x00007ff5fbf07924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#9  0x00007ff5fbfd2c2f in QInotifyFileSystemWatcherEngine::run (this=0x246b4e0) at io/qfilesystemwatcher_inotify.cpp:248
#10 0x00007ff5fbf0a175 in QThreadPrivate::start (arg=0x246b4e0) at thread/qthread_unix.cpp:320
#11 0x00007ff5f40f3d8c in start_thread (arg=0x7ff5dd236700) at pthread_create.c:304
#12 0x00007ff5fee1b04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#13 0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7ff5d6fbf700 (LWP 1636)):
#0  0x00007ff5fee0df03 in __poll (fds=<value optimized out>, nfds=<value optimized out>, timeout=<value optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007ff5f37f0104 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007ff5f37f0639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007ff5fc01c446 in QEventDispatcherGlib::processEvents (this=0x252d780, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:424
#4  0x00007ff5fbff0882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007ff5fbff0abc in QEventLoop::exec (this=0x7ff5d6fbedb0, flags=...) at kernel/qeventloop.cpp:201
#6  0x00007ff5fbf07924 in QThread::exec (this=<value optimized out>) at thread/qthread.cpp:492
#7  0x00007ff5fbfd2c2f in QInotifyFileSystemWatcherEngine::run (this=0x252cae0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007ff5fbf0a175 in QThreadPrivate::start (arg=0x252cae0) at thread/qthread_unix.cpp:320
#9  0x00007ff5f40f3d8c in start_thread (arg=0x7ff5d6fbf700) at pthread_create.c:304
#10 0x00007ff5fee1b04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7ff5d617c700 (LWP 2981)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff5fbf0a82b in wait (this=<value optimized out>, mutex=0x29aa8d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x29aa8d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ff5f81910b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a44e00, th=0x2438080) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ff5f8193723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x29bc8f0, th=0x2438080) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ff5f819253f in ThreadWeaver::ThreadRunHelper::run (this=0x7ff5d617be00, parent=0x2a44e00, th=0x2438080) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ff5f81925cb in ThreadWeaver::Thread::run (this=0x2438080) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ff5fbf0a175 in QThreadPrivate::start (arg=0x2438080) at thread/qthread_unix.cpp:320
#8  0x00007ff5f40f3d8c in start_thread (arg=0x7ff5d617c700) at pthread_create.c:304
#9  0x00007ff5fee1b04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7ff5d2be6700 (LWP 2982)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff5fbf0a82b in wait (this=<value optimized out>, mutex=0x29aa8d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x29aa8d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ff5f81910b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a44e00, th=0x1f4b330) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ff5f8193723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x29bc8f0, th=0x1f4b330) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ff5f819253f in ThreadWeaver::ThreadRunHelper::run (this=0x7ff5d2be5e00, parent=0x2a44e00, th=0x1f4b330) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ff5f81925cb in ThreadWeaver::Thread::run (this=0x1f4b330) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ff5fbf0a175 in QThreadPrivate::start (arg=0x1f4b330) at thread/qthread_unix.cpp:320
#8  0x00007ff5f40f3d8c in start_thread (arg=0x7ff5d2be6700) at pthread_create.c:304
#9  0x00007ff5fee1b04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7ff5caa59700 (LWP 2983)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff5fbf0a82b in wait (this=<value optimized out>, mutex=0x29aa8d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x29aa8d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ff5f81910b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a44e00, th=0x7ff5d8001c50) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ff5f8193723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x29bc8f0, th=0x7ff5d8001c50) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ff5f819253f in ThreadWeaver::ThreadRunHelper::run (this=0x7ff5caa58e00, parent=0x2a44e00, th=0x7ff5d8001c50) at ../../../threadweaver/Weaver/Thread.cpp:87
#6  0x00007ff5f81925cb in ThreadWeaver::Thread::run (this=0x7ff5d8001c50) at ../../../threadweaver/Weaver/Thread.cpp:142
#7  0x00007ff5fbf0a175 in QThreadPrivate::start (arg=0x7ff5d8001c50) at thread/qthread_unix.cpp:320
#8  0x00007ff5f40f3d8c in start_thread (arg=0x7ff5caa59700) at pthread_create.c:304
#9  0x00007ff5fee1b04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#10 0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7ff5ca258700 (LWP 2984)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007ff5fbf0a82b in wait (this=<value optimized out>, mutex=0x29aa8d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:88
#2  QWaitCondition::wait (this=<value optimized out>, mutex=0x29aa8d0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:160
#3  0x00007ff5f81910b4 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2a44e00, th=0x347ff30) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007ff5f8193723 in ThreadWeaver::WorkingHardState::applyForWork (this=0x29bc8f0, th=0x347ff30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007ff5f819373c in ThreadWeaver::WorkingHardState::applyForWork (this=0x29bc8f0, th=0x347ff30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007ff5f819373c in ThreadWeaver::WorkingHardState::applyForWork (this=0x29bc8f0, th=0x347ff30) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007ff5f819253f in ThreadWeaver::ThreadRunHelper::run (this=0x7ff5ca257e00, parent=0x2a44e00, th=0x347ff30) at ../../../threadweaver/Weaver/Thread.cpp:87
#8  0x00007ff5f81925cb in ThreadWeaver::Thread::run (this=0x347ff30) at ../../../threadweaver/Weaver/Thread.cpp:142
#9  0x00007ff5fbf0a175 in QThreadPrivate::start (arg=0x347ff30) at thread/qthread_unix.cpp:320
#10 0x00007ff5f40f3d8c in start_thread (arg=0x7ff5ca258700) at pthread_create.c:304
#11 0x00007ff5fee1b04d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7ff5ff5177a0 (LWP 1632)):
[KCrash Handler]
#6  d_func (this=0x0, item=0x286e1d0) at graphicsview/qgraphicslinearlayout.h:109
#7  QGraphicsLinearLayout::removeItem (this=0x0, item=0x286e1d0) at graphicsview/qgraphicslinearlayout.cpp:314
#8  0x00007ff5e4fff932 in Plasma::Calendar::hideYearSpinBox (this=0x28873d0) at ../../../libs/plasmaclock/calendar.cpp:467
#9  0x00007ff5e500078c in Plasma::Calendar::qt_metacall (this=0x28873d0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffeb0d0020) at ./calendar.moc:112
#10 0x00007ff5fc0065f8 in QMetaObject::activate (sender=0x286ece0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#11 0x00007ff5fb403979 in QWidget::event (this=0x286ece0, event=0x7fffeb0d07d0) at kernel/qwidget.cpp:8372
#12 0x00007ff5fb3b29e4 in QApplicationPrivate::notify_helper (this=0x1baac00, receiver=0x286ece0, e=0x7fffeb0d07d0) at kernel/qapplication.cpp:4462
#13 0x00007ff5fb3b73aa in QApplication::notify (this=<value optimized out>, receiver=0x286ece0, e=0x7fffeb0d07d0) at kernel/qapplication.cpp:4341
#14 0x00007ff5fcca9866 in KApplication::notify (this=0x1b964d0, receiver=0x286ece0, event=0x7fffeb0d07d0) at ../../kdeui/kernel/kapplication.cpp:311
#15 0x00007ff5fbff149c in QCoreApplication::notifyInternal (this=0x1b964d0, receiver=0x286ece0, event=0x7fffeb0d07d0) at kernel/qcoreapplication.cpp:731
#16 0x00007ff5fb99d355 in sendEvent (this=<value optimized out>, widget=0x286ece0, reason=<value optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#17 QGraphicsProxyWidgetPrivate::removeSubFocusHelper (this=<value optimized out>, widget=0x286ece0, reason=<value optimized out>) at graphicsview/qgraphicsproxywidget.cpp:335
#18 0x00007ff5fb97fc95 in QGraphicsItem::sceneEvent (this=0x286e1c0, event=0x7fffeb0d08c0) at graphicsview/qgraphicsitem.cpp:6677
#19 0x00007ff5fb9aa599 in QGraphicsScenePrivate::setFocusItemHelper (this=0x1c033e0, item=<value optimized out>, focusReason=Qt::TabFocusReason) at graphicsview/qgraphicsscene.cpp:812
#20 0x00007ff5fb97724e in QGraphicsItemPrivate::setFocusHelper (this=0x289c6d0, focusReason=Qt::TabFocusReason, climb=<value optimized out>, focusFromHide=<value optimized out>) at graphicsview/qgraphicsitem.cpp:3311
#21 0x00007ff5fb9aa9de in QGraphicsScene::focusNextPrevChild (this=0x1cb4e30, next=true) at graphicsview/qgraphicsscene.cpp:5439
#22 0x00007ff5fb9d7d70 in QGraphicsWidget::focusNextPrevChild (this=0x28e20e0, next=true) at graphicsview/qgraphicswidget.cpp:1511
#23 0x00007ff5fb988fbc in QGraphicsItemPrivate::setVisibleHelper (this=0x28703f0, newVisible=false, explicitly=<value optimized out>, update=true) at graphicsview/qgraphicsitem.cpp:2311
#24 0x00007ff5e4fff965 in hide (this=0x28873d0) at /usr/include/qt4/QtGui/qgraphicsitem.h:221
#25 Plasma::Calendar::hideYearSpinBox (this=0x28873d0) at ../../../libs/plasmaclock/calendar.cpp:469
#26 0x00007ff5e500078c in Plasma::Calendar::qt_metacall (this=0x28873d0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffeb0d0c00) at ./calendar.moc:112
#27 0x00007ff5fc0065f8 in QMetaObject::activate (sender=0x286ece0, m=<value optimized out>, local_signal_index=<value optimized out>, argv=0x0) at kernel/qobject.cpp:3287
#28 0x00007ff5fb77ac79 in QAbstractSpinBox::keyPressEvent (this=0x286ece0, event=0x7fffeb0d2410) at widgets/qabstractspinbox.cpp:1007
#29 0x00007ff5fb403d3c in QWidget::event (this=0x286ece0, event=0x7fffeb0d2410) at kernel/qwidget.cpp:8294
#30 0x00007ff5fb3b29e4 in QApplicationPrivate::notify_helper (this=0x1baac00, receiver=0x286ece0, e=0x7fffeb0d2410) at kernel/qapplication.cpp:4462
#31 0x00007ff5fb3b7c31 in QApplication::notify (this=<value optimized out>, receiver=<value optimized out>, e=0x7fffeb0d2410) at kernel/qapplication.cpp:3921
#32 0x00007ff5fcca9866 in KApplication::notify (this=0x1b964d0, receiver=0x286ece0, event=0x7fffeb0d2410) at ../../kdeui/kernel/kapplication.cpp:311
#33 0x00007ff5fbff149c in QCoreApplication::notifyInternal (this=0x1b964d0, receiver=0x286ece0, event=0x7fffeb0d2410) at kernel/qcoreapplication.cpp:731
#34 0x00007ff5fb99d205 in sendEvent (this=0x28703f0, event=0x7fffeb0d2410) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#35 QGraphicsProxyWidgetPrivate::sendWidgetKeyEvent (this=0x28703f0, event=0x7fffeb0d2410) at graphicsview/qgraphicsproxywidget.cpp:321
#36 0x00007ff5fb97fd0a in QGraphicsItem::sceneEvent (this=0x286e1c0, event=0x7fffeb0d2410) at graphicsview/qgraphicsitem.cpp:6753
#37 0x00007ff5fb9a84c4 in QGraphicsScene::keyPressEvent (this=0x1cb4e30, keyEvent=0x7fffeb0d2410) at graphicsview/qgraphicsscene.cpp:3986
#38 0x00007ff5fb9bba32 in QGraphicsScene::event (this=0x1cb4e30, event=0x7fffeb0d2410) at graphicsview/qgraphicsscene.cpp:3414
#39 0x00007ff5fb3b29e4 in QApplicationPrivate::notify_helper (this=0x1baac00, receiver=0x1cb4e30, e=0x7fffeb0d2410) at kernel/qapplication.cpp:4462
#40 0x00007ff5fb3b73aa in QApplication::notify (this=<value optimized out>, receiver=0x1cb4e30, e=0x7fffeb0d2410) at kernel/qapplication.cpp:4341
#41 0x00007ff5fcca9866 in KApplication::notify (this=0x1b964d0, receiver=0x1cb4e30, event=0x7fffeb0d2410) at ../../kdeui/kernel/kapplication.cpp:311
#42 0x00007ff5fbff149c in QCoreApplication::notifyInternal (this=0x1b964d0, receiver=0x1cb4e30, event=0x7fffeb0d2410) at kernel/qcoreapplication.cpp:731
#43 0x00007ff5fb9ca38d in sendEvent (this=0x1e7d6e0, event=0x7fffeb0d2410) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#44 QGraphicsView::keyPressEvent (this=0x1e7d6e0, event=0x7fffeb0d2410) at graphicsview/qgraphicsview.cpp:3071
#45 0x00007ff5fb403d3c in QWidget::event (this=0x1e7d6e0, event=0x7fffeb0d2410) at kernel/qwidget.cpp:8294
#46 0x00007ff5fb7b3a66 in QFrame::event (this=0x1e7d6e0, e=0x7fffeb0d2410) at widgets/qframe.cpp:557
#47 0x00007ff5fb8351fb in QAbstractScrollArea::event (this=0x1e7d6e0, e=0x7fffeb0d2410) at widgets/qabstractscrollarea.cpp:996
#48 0x00007ff5fb3b29e4 in QApplicationPrivate::notify_helper (this=0x1baac00, receiver=0x1e7d6e0, e=0x7fffeb0d2410) at kernel/qapplication.cpp:4462
#49 0x00007ff5fb3b7c31 in QApplication::notify (this=<value optimized out>, receiver=<value optimized out>, e=0x7fffeb0d2410) at kernel/qapplication.cpp:3921
#50 0x00007ff5fcca9866 in KApplication::notify (this=0x1b964d0, receiver=0x1e7d6e0, event=0x7fffeb0d2410) at ../../kdeui/kernel/kapplication.cpp:311
#51 0x00007ff5fbff149c in QCoreApplication::notifyInternal (this=0x1b964d0, receiver=0x1e7d6e0, event=0x7fffeb0d2410) at kernel/qcoreapplication.cpp:731
#52 0x00007ff5fb455cf9 in QKeyMapper::sendKeyEvent (keyWidget=0x1e7d6e0, grab=<value optimized out>, type=QEvent::KeyPress, code=16777220, modifiers=..., text=..., autorepeat=false, count=1, nativeScanCode=36, nativeVirtualKey=65293, nativeModifiers=0) at kernel/qkeymapper_x11.cpp:1866
#53 0x00007ff5fb456176 in QKeyMapperPrivate::translateKeyEvent (this=0x1beebd0, keyWidget=0x1e7d6e0, event=0x7fffeb0d2fa0, grab=false) at kernel/qkeymapper_x11.cpp:1836
#54 0x00007ff5fb431f03 in QApplication::x11ProcessEvent (this=0x1b964d0, event=0x7fffeb0d2fa0) at kernel/qapplication_x11.cpp:3571
#55 0x00007ff5fb45a162 in x11EventSourceDispatch (s=0x1bae770, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#56 0x00007ff5f37efbcd in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#57 0x00007ff5f37f03a8 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#58 0x00007ff5f37f0639 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#59 0x00007ff5fc01c3ef in QEventDispatcherGlib::processEvents (this=0x1b1d340, flags=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:422
#60 0x00007ff5fb459dfe in QGuiEventDispatcherGlib::processEvents (this=<value optimized out>, flags=<value optimized out>) at kernel/qguieventdispatcher_glib.cpp:204
#61 0x00007ff5fbff0882 in QEventLoop::processEvents (this=<value optimized out>, flags=...) at kernel/qeventloop.cpp:149
#62 0x00007ff5fbff0abc in QEventLoop::exec (this=0x7fffeb0d32a0, flags=...) at kernel/qeventloop.cpp:201
#63 0x00007ff5fbff4ecb in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1008
#64 0x00007ff5ff107897 in kdemain (argc=1, argv=0x7fffeb0d3668) at ../../../../plasma/desktop/shell/main.cpp:118
#65 0x00007ff5fed53eff in __libc_start_main (main=0x400740 <main(int, char**)>, argc=1, ubp_av=0x7fffeb0d3668, init=<value optimized out>, fini=<value optimized out>, rtld_fini=<value optimized out>, stack_end=0x7fffeb0d3658) at libc-start.c:226
#66 0x0000000000400669 in _start ()

Reported using DrKonqi
Comment 1 Jan 2011-05-01 22:56:53 UTC
can't reproduce this bug. Every year i tested was working well, but i didn't checked if the displayed day of the week was correct, as i tried 1402, 1, 5556 as well.
Comment 2 Stefan Borggraefe 2011-05-02 01:13:09 UTC
@Jan: Which KDE, Qt versions did you use? Which distribution?
Comment 3 network723 2011-05-02 14:10:25 UTC
Created attachment 59534 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) "release 3" using Qt 4.7.2

- What I was doing when the application crashed:

Plasma crashes when I try to change year with keyboard in calendar widget

-- Backtrace (Reduced):
#6  d_func (this=0x0, item=0x1057200) at graphicsview/qgraphicslinearlayout.h:109
#7  QGraphicsLinearLayout::removeItem (this=0x0, item=0x1057200) at graphicsview/qgraphicslinearlayout.cpp:314
#8  0x00007f022bd9bff2 in Plasma::Calendar::hideYearSpinBox() () from /usr/lib64/libplasmaclock.so.4
#9  0x00007f022bd9ce4c in Plasma::Calendar::qt_metacall(QMetaObject::Call, int, void**) () from /usr/lib64/libplasmaclock.so.4
[...]
#11 0x00007f024474b91c in QWidget::event (this=0x105dd60, event=0x7fff6b654fa0) at kernel/qwidget.cpp:8372
Comment 4 Aaron J. Seigo 2011-05-02 14:44:44 UTC
Git commit 33fa0c965013d7abaa39cc17aa69fa2b18eefda3 by Aaron Seigo.
Committed on 02/05/2011 at 14:54.
Pushed by aseigo into branch 'KDE/4.6'.

prevent crash when hiding the year boxes more than once

BUG:272077

QSpinBox emits the finished signal when enter is pressed and when
it loses focus. so if you hide it on enter, it then loses focus
and the signal is emitted again. even if the value hasn't changed
and no editing was done (not even returned from the previous signal
emission). moderately lame.

M  +9    -0    libs/plasmaclock/calendar.cpp     

http://commits.kde.org/kde-workspace/33fa0c965013d7abaa39cc17aa69fa2b18eefda3
Comment 5 Aaron J. Seigo 2011-05-02 14:44:44 UTC
Git commit 86995c8c94cf4d26326c4a0c905682d67b5e59eb by Aaron Seigo.
Committed on 02/05/2011 at 14:54.
Pushed by aseigo into branch 'master'.

prevent crash when hiding the year boxes more than once

BUG:272077

QSpinBox emits the finished signal when enter is pressed and when
it loses focus. so if you hide it on enter, it then loses focus
and the signal is emitted again. even if the value hasn't changed
and no editing was done (not even returned from the previous signal
emission). moderately lame.

M  +9    -0    libs/plasmaclock/calendar.cpp     

http://commits.kde.org/kde-workspace/86995c8c94cf4d26326c4a0c905682d67b5e59eb
Comment 6 Dario Andres 2011-05-15 00:39:12 UTC
*** Bug 273309 has been marked as a duplicate of this bug. ***
Comment 7 Dario Andres 2011-05-15 00:39:14 UTC
*** Bug 273286 has been marked as a duplicate of this bug. ***
Comment 8 Dario Andres 2011-05-15 00:39:15 UTC
*** Bug 271176 has been marked as a duplicate of this bug. ***
Comment 9 sam 2011-05-31 21:07:20 UTC
Created attachment 60527 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

(Actually I'm not able to say for sure that this bug and the one I'm reporting are identical but I'm guessing that they're the same and hope that the attached crash info might be useful.)

Tried to change the date in the calendar as per the original bug report. 

Note also that the desktop froze for a while before crashing. When the desktop started working again the calendar year had changed to -1. When I typed 2011 and pressed enter the desktop crashed.

Thanks again!

-- Backtrace (Reduced):
#6  d_func (this=0x0, item=0x3175cc0) at graphicsview/qgraphicslinearlayout.h:109
#7  QGraphicsLinearLayout::removeItem (this=0x0, item=0x3175cc0) at graphicsview/qgraphicslinearlayout.cpp:314
#8  0x00007effc4ee2932 in Plasma::Calendar::hideYearSpinBox (this=0x30e4620) at ../../../libs/plasmaclock/calendar.cpp:467
#9  0x00007effc4ee378c in Plasma::Calendar::qt_metacall (this=0x30e4620, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd41d8160) at ./calendar.moc:112
[...]
#11 0x00007effdcc3d979 in QWidget::event (this=0x318ccc0, event=0x7fffd41d8910) at kernel/qwidget.cpp:8372
Comment 10 Nicolas L. 2011-06-06 11:51:13 UTC
*** Bug 275014 has been marked as a duplicate of this bug. ***
Comment 11 FiNeX 2011-06-12 14:30:29 UTC
In which KDE version has been the bug fixed? I can still reproduce using 4.6.3.
Comment 12 Aric Warsaw 2011-06-12 20:17:36 UTC
KDE maintenance release 4.6.4 fixes this bug.  After application, I've
tested and confirmed.  Thank you.

On Sun, Jun 12, 2011 at 8:30 AM, FiNeX <finex@finex.org> wrote:
> https://bugs.kde.org/show_bug.cgi?id=272077
>
>
> FiNeX <finex@finex.org> changed:
>
>           What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                 CC|                            |finex@finex.org
>
>
>
>
> --- Comment #11 from FiNeX <finex finex org>  2011-06-12 14:30:29 ---
> In which KDE version has been the bug fixed? I can still reproduce using 4.6.3.
>
> --
> Configure bugmail: https://bugs.kde.org/userprefs.cgi?tab=email
> ------- You are receiving this mail because: -------
> You are on the CC list for the bug.
>
Comment 13 Roman Ovsyannikov 2011-06-20 14:10:13 UTC
Created attachment 61173 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:

click plasmoid clock widget then enter any year in calendar and press enter
always crashes plasma on my two laptops with ubuntu 11.04, kde 4.6.2

-- Backtrace (Reduced):
#6  d_func (this=0x0, item=0x1e82120) at graphicsview/qgraphicslinearlayout.h:109
#7  QGraphicsLinearLayout::removeItem (this=0x0, item=0x1e82120) at graphicsview/qgraphicslinearlayout.cpp:314
#8  0x00007f7044302932 in Plasma::Calendar::hideYearSpinBox (this=0x14c0570) at ../../../libs/plasmaclock/calendar.cpp:467
#9  0x00007f704430378c in Plasma::Calendar::qt_metacall (this=0x14c0570, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffd3160670) at ./calendar.moc:112
[...]
#11 0x00007f705d22e979 in QWidget::event (this=0x1e88c60, event=0x7fffd3160e20) at kernel/qwidget.cpp:8372
Comment 14 Nicolas L. 2011-07-11 21:41:32 UTC
*** Bug 277576 has been marked as a duplicate of this bug. ***
Comment 15 Jonathan 2011-07-27 15:40:28 UTC
Created attachment 62242 [details]
New crash information added by DrKonqi

plasma-desktop (0.4) on KDE Platform 4.6.2 (4.6.2) using Qt 4.7.2

- What I was doing when the application crashed:
Open the calendar, select the year with the mouse and hit enter. Plasma crashes on every try.

Using Ubuntu 11.04, KDE 4.6

-- Backtrace (Reduced):
#6  d_func (this=0x0, item=0x39b4370) at graphicsview/qgraphicslinearlayout.h:109
#7  QGraphicsLinearLayout::removeItem (this=0x0, item=0x39b4370) at graphicsview/qgraphicslinearlayout.cpp:314
#8  0x00007f3985b5b932 in Plasma::Calendar::hideYearSpinBox (this=0x396e0a0) at ../../../libs/plasmaclock/calendar.cpp:467
#9  0x00007f3985b5c78c in Plasma::Calendar::qt_metacall (this=0x396e0a0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffb82bdc90) at ./calendar.moc:112
[...]
#11 0x00007f399b427989 in QWidget::event (this=0x39ba5c0, event=0x7fffb82be440) at kernel/qwidget.cpp:8372
Comment 16 Chao Feng 2013-01-09 00:25:57 UTC
*** Bug 305973 has been marked as a duplicate of this bug. ***